import winston from 'winston'

const { createLogger, format, transports } = winston

const logger = createLogger({
  level: 'info',
  format: format.combine(
    format.errors({ stack: true }),
    format.colorize(),
    format.timestamp(),
    format.printf(info => `${info.timestamp} ${info.level} ${info.message}${info.stack ? `\n${info.stack}` : ''}`)
  ),
  transports: [
    new transports.Console()
  ]
})

export default logger